metadata:
  name: aum-ota-api
  format: "Apertis Test Definition 1.0"
  image-types:
    minimal: [ armhf ]
  image-deployment:
    - OSTree
  type: functional
  exec-type: automated
  priority: critical
  maintainer: "Apertis Project"
  description: "Apertis update manager: OTA API test
    This test ensures that the update manager API behaves as expected."

  expected:
    - "The automated test should succeed."

  notes:
    - "The automated test uses internet"

install:
  git-repos:
    - url: https://gitlab.apertis.org/tests/aum-offline-upgrade.git
      branch: apertis/v2022dev0

run:
  steps:
    - "# Enter test directory:"
    - cd aum-offline-upgrade
    - "# Execute the following command:"
    - common/run-test-in-systemd --timeout=900 --name=api env DEBUG=2 RELEASE=$RELEASE ARCH=$ARCH BASEURL=$BASEURL IMGPATH=$IMGPATH IMGDATE=$IMGDATE IMGTYPE=$IMGTYPE IMGNAME=$IMGNAME BOARD=$BOARD ./run-test-ota-api.sh

parse:
  pattern: ^(?P<test_case_id>[a-zA-Z0-9_\-\./]+):\s*(?P<result>pass|fail|skip|unknown)$
